Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextFrameFormat.Position

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTextFrameFormat.Position

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTextFrameFormat

    public static final class QTextFrameFormat.Position

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QTextFrameFormat.Position` | `FloatLeft`
`static QTextFrameFormat.Position` | `FloatRight`
`static QTextFrameFormat.Position` | `InFlow`

Method Summary
`static QTextFrameFormat.Position` | `resolve(int value)` Returns the QTextFrameFormat$Position constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextFrameFormat.Position` | `valueOf(java.lang.String name)`
`static QTextFrameFormat.Position[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### InFlow

    public static final QTextFrameFormat.Position InFlow

### FloatLeft

    public static final QTextFrameFormat.Position FloatLeft

### FloatRight

    public static final QTextFrameFormat.Position FloatRight

Method Detail

### values

    public static QTextFrameFormat.Position[] values()

### valueOf

    public static QTextFrameFormat.Position valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextFrameFormat.Position resolve(int value)

  Returns the QTextFrameFormat$Position constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD